import { ModuleRoot } from "queenjs";
import { initActions } from "./actions/init";
import components from "./components";
import { store } from "./store";

export class DesignModule extends ModuleRoot {
  store = this.createStore(store);
  components = this.useComponents(components);
  actions = this.createActions([initActions]);
}

export const { useDesign, initDesign } = DesignModule.hook("Design");
