import { css } from "@linaria/core";
import { defineComponent } from "vue";
import { useEditor } from "../..";

export default defineComponent({
  setup(props, { slots }) {
    const { store } = useEditor();
    return () => (
      <div
        class={[store.editMode === "edit" && editStyle]}
        onClick={(e) => console.log(e)}
      >
        {slots.default?.()}
      </div>
    );
  },
});

const editStyle = css`
  outline: 1px dashed @inf-primary-color;
`;
