import { useEditor } from "@/modules/editor";
import { defineUI } from "queenjs";

export default defineUI({
  setup() {
    const { design } = useEditor().modules;
    return () => (
      <div class="h-1/1 text-center overflow-y-auto scrollbar">
        <design.components.Viewport class="inline-block w-375px min-h-750px" />
      </div>
    );
  },
});
