import { useEditor } from "@/modules/editor";
import { Radio } from "ant-design-vue";
import { defineUI } from "queenjs";

export default defineUI({
  setup() {
    const { store, actions } = useEditor();
    return () => (
      <div class="text-center">
        <Radio.Group
          value={store.editMode}
          onChange={(e) => actions.switchEditMode(e.target.value)}
        >
          <Radio.Button value="edit">编辑</Radio.Button>
          <Radio.Button value="preview">预览</Radio.Button>
        </Radio.Group>
      </div>
    );
  },
});
