import { initEditor } from "@/modules/editor";
import { defineComponent } from "vue";

export default defineComponent(() => {
  const editor = initEditor();
  editor.modules.design.actions.initTemp({
    title: "123",
    pageStyle: {
      backgroundColor: "#fff",
    },
    content: Array.from({ length: 5 }, (d, i) => ({
      id: Math.random().toString(),
      compKey: i % 2 === 0 ? "Text" : "Image",
      props: {
        value: "xxdx",
      },
    })),
  });

  console.log(editor.modules.design.store.designTemp.data.content);

  return () => <editor.components.Viewport class="!h-100vh" />;
});
