import { useEditor } from "@/modules/editor";
import { defineUI } from "queenjs";
import { string } from "vue-types";

export default defineUI({
  props: {
    value: string(),
  },
  setup(props) {
    const { store } = useEditor();
    return () => (
      <div contenteditable={store.editMode === "edit"}>{props.value}</div>
    );
  },
});
