import { nanoid } from "nanoid";
import components from "../../components";

export class DesignComp {
  id = nanoid();
  compKey: keyof typeof components.UI;
  props: any = {};
  constructor(
    data: Partial<Omit<DesignComp, "id">> & Pick<DesignComp, "compKey">
  ) {
    this.compKey = data.compKey;
    Object.assign(this, data);
  }
}
